Bug 25426 - Segmentation fault in openssh (64-bits)
Summary: Segmentation fault in openssh (64-bits)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-31 21:44 UTC by Michal Jaegermann
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-02 17:37:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar.gz archive with patches for openssh (6.48 KB, application/octet-stream)
2001-01-31 21:46 UTC, Michal Jaegermann
no flags Details

Description Michal Jaegermann 2001-01-31 21:44:42 UTC
I dislike very much that kind of a bug report but, I am afraid,
I do not have anything better.  It also touches not in testing
yet Alpha but it may affect all 64-bit platforms.

On my Alpha ssh (openssh-2.3.0p1) suddenly started misbehave
after a long time when it worked without problems.  I am not
aware of any changes which could affect it with a possible
exception of date.  I may miss something.  Debugging output
from an attempted connection from a stricken machine to itself
looked like that:

SSH Version OpenSSH_2.3.0p1, protocol versions 1.5/2.0.
Compiled with SSL (0x0090600f).
debug: Reading configuration data /etc/ssh/ssh_config
debug: Applying options for *
debug: Seeding random number generator
debug: ssh_connect: getuid 0 geteuid 0 anon 0
debug: Connecting to toaster [192.168.23.5] port 22.
debug: Seeding random number generator
debug: Allocated local port 629.
debug: Connection established.
debug: Remote protocol version 1.99, remote software version
OpenSSH_2.3.0p1
debug: no match: OpenSSH_2.3.0p1
Enabling compatibility mode for protocol 2.0
debug: Local version string SSH-2.0-OpenSSH_2.3.0p1
debug: send KEXINIT
debug: done
debug: wait KEXINIT
debug: got kexinit:
diffie-hellman-group-exchange-sha1,diffie-hellman-group1-sha1
debug: got kexinit: ssh-dss
debug: got kexinit:
3des-cbc,blowfish-cbc,cast128-cbc,arcfour,aes128-cbc,aes192-cbc,aes256-cbc,rijndael128-cbc,rijndael192-cbc,rijndael256-cbc,rijndael-cbc@lysator.liu.se
debug: got kexinit:
3des-cbc,blowfish-cbc,cast128-cbc,arcfour,aes128-cbc,aes192-cbc,aes256-cbc,rijndael128-cbc,rijndael192-cbc,rijndael256-cbc,rijndael-cbc@lysator.liu.se
debug: got kexinit: hmac-sha1,hmac-md5,hmac-ripemd160@openssh.com
debug: got kexinit: hmac-sha1,hmac-md5,hmac-ripemd160@openssh.com
debug: got kexinit: none,zlib
debug: got kexinit: none,zlib
debug: got kexinit: 
debug: got kexinit: 
debug: first kex follow: 0 
debug: reserved: 0 
debug: done
debug: kex: server->client 3des-cbc hmac-sha1 none
debug: kex: client->server 3des-cbc hmac-sha1 none
debug: Sending SSH2_MSG_KEX_DH_GEX_REQUEST.
debug: Wait SSH2_MSG_KEX_DH_GEX_GROUP.
debug: Got SSH2_MSG_KEX_DH_GEX_GROUP.
debug: bits set: 989/2049
debug: Sending SSH2_MSG_KEX_DH_GEX_INIT.
debug: Wait SSH2_MSG_KEX_DH_GEX_REPLY.
debug: Got SSH2_MSG_KEXDH_REPLY.
debug: Host 'toaster' is known and matches the DSA host key.
debug: bits set: 1035/2049
debug: len 55 datafellows 0
debug: dsa_verify: signature correct
Segmentation fault

From other machines, also x86, I can see only "remote closed connection".

In an attempt to find reasons I cleaned up, eventually, all function
interfaces adding all needed prototypes.  After recompilation of
modified sources things started to work again both locally and
remotely and I still do not know what was precisely the problem (not
for the lack of trying). I attach my patches, relative to
openssh-2.3.0p1-9 from "Fisher".

Also spec file for this version is using 'sshd.pam.6x' for
/etc/pam.d/sshd if %{build6x} macro is defined.  With this file
I was unable to login via ssh to release 6.2 (Zoot) system
with pam-0.72-20.6.x but I do not have any problems when a patched
file from contrib/redhat/sshd.pam was used instead (the same one
as for 7.x releases).

  Michal
  michal@harddata.com

Comment 1 Michal Jaegermann 2001-01-31 21:46:02 UTC
Created attachment 8617 [details]
tar.gz archive with patches for openssh

Comment 2 Nalin Dahyabhai 2001-02-02 17:37:06 UTC
Per email:
> in comments on bugzilla I properly identified a problem with
> /etc/pam.d/sshd on 6.x system but later in spec diffs in attached
> archive I used just the wrong file.  Ooops!  Sorry. Make a note.



Note You need to log in before you can comment on or make changes to this bug.